In 2-Set Korean IME when typing inside a table cell and pressing space selection and cursor disappear
Closed, ResolvedPublic1 Story Points

Description

In Chrome 39 and Mac OS with 2-Set Korean IME enabled when typing inside a table cell any input and pressing space after it selection disappear and table cell is not in the edit mode anymore. The important factor here is timing, if space is pressed immediately after text input - then problem occurs, and otherwise it does not occur.

Inez created this task.Jan 12 2015, 10:12 PM
Inez updated the task description. (Show Details)
Inez raised the priority of this task from to Needs Triage.
Inez added a project: VisualEditor.
Inez added subscribers: Inez, Esanders, dchan.
Jdforrester-WMF triaged this task as Normal priority.Jan 13 2015, 1:54 AM
Jdforrester-WMF set Security to None.
revi added a subscriber: revi.Aug 28 2015, 5:21 PM
dchan added a comment.Sep 23 2015, 7:16 PM

Can someone let me know whether this still happens in VE-standalone? I don't have the platform combination to hand but we recently fixed a post-keydown timing issue that I would suspect could have clobbered a selection. Thanks!

revi added a comment.Sep 24 2015, 9:18 AM

What is "VE-standalone"?

dchan added a comment.Nov 30 2015, 7:25 AM

Hi, I think this may work OK now: can you try https://rawgit.com/wikimedia/VisualEditor/master/demos/ve/desktop.html#!pages/tables.html and confirm whether the problem is gone? Thanks!

I believe this works now, yes. (Test in Chrome and Firefox on Mac OS X using GongjinCheong Romanja OS X IME.)

Jdforrester-WMF closed this task as Resolved.Dec 3 2015, 1:10 AM
Jdforrester-WMF assigned this task to dchan.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Backlog to TR3: Language support on the VisualEditor board.